Bug 171096 - mget files in lftp causes abort
mget files in lftp causes abort
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lftp (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-18 03:54 EDT by Mamoru TASAKA
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-19 15:27:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb log for lftp (8.15 KB, text/plain)
2005-10-18 03:56 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2005-10-18 03:54:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b5) Gecko/20051008 Fedora/1.5-0.5.0.beta2 Firefox/1.4.1

Description of problem:
After I login a site with lftp and get some files by mget command
from the site, lftp causes abort with messages.

See the attached gdb log below.



Version-Release number of selected component (if applicable):
lftp-3.3.1-1

How reproducible:
Always

Steps to Reproduce:
1. login a site like:  lftp ftp.jaist.ac.jp
2. download some files by mget like: wget lftp*  
3. 
  

Actual Results:  After downloading files accomplished, lftp causes abort.

Expected Results:  lftp should not cause abort

Additional info:
Comment 1 Mamoru TASAKA 2005-10-18 03:56:55 EDT
Created attachment 120114 [details]
gdb log for lftp

gdb log made using "script gdb-lftp.log"
Comment 2 Mamoru TASAKA 2005-10-18 04:02:48 EDT
Sorry, Step 2 to reproduce this bug was "mget lftp*", not
"wget lftp*".
Comment 3 Jason Vas Dias 2005-10-18 13:05:53 EDT
Nasty! Someone upgraded our lftp to lftp-3.3.1 without my knowledge - 
I would have tested this before submitting. 

The http://lftp.yar.ru site is revealing:
  2005-10-17: lftp-3.3.2 released. Fixed a coredump caused by a double-free.

Submitting lftp-3.3.2-1 now - it will be in tomorrow's Rawhide.

Meanwhile, you can obtain the lftp-3.3.2-1 RPMs from:
  http://people.redhat.com/~jvdias/lftp/3.3.2-1/

Comment 4 Mamoru TASAKA 2005-10-19 01:32:28 EDT
lftp-3.3.2-1 seems good (at least works well for me).
Thanks!
Comment 5 Jose Pedro Oliveira 2005-12-19 15:27:03 EST
Closing this ticket.
Problem corrected since version 3.3.2.
Current version in rawhide: 3.3.5.

Note You need to log in before you can comment on or make changes to this bug.